{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block content %}
  <div id='signup_form'>
  {% block "lion" %}
     <a href='/lion'><img src="{% static 'graphics/edutex.png' %}" alt="TeX lion teaching" id="lion_pic"></a>
    {% endblock "lion" %}
    <h2 id="signup">Change your password</h2>

    <p>Enter your current password.
      Then enter your new password, twice.
      (The repeat is a check, so you won't mistype and lock yourself out.)
      </p>
  
    {% if form.errors %}
      <div id='errors'>
      <p id='error-announcement'>Your information contained errors, sorry.</p>
        {% for error in form.non_field_errors %}
          <p class="alert alert-danger">{{ error.as_text|escape }}
            </p>
          {% endfor %}
      {% endif %}
    <form action="." method="post">
      <table>
        {% for field in form.visible_fields %}
          <tr class="field_row">
            <td class='form_tag'>{{ field.label_tag }}</td> 
            <td>{{ field }}</td>
            {% if field.errors %}<td>Error: {{ field.errors.as_text }}</td>
              {% else %}<td class='form_comment'>{{ field.help_text }}</td>
              {% endif %}
            </tr>
          {% endfor %}
        <tr>
          <td></td>
          <td><input type="submit" value="Sign up" /></td>
          </tr>
        </table>
      <input type="hidden" name="signup" value="signup" />
      {% for hidden in form.hidden_fields %}{{ hidden }}{% endfor %}
      {% csrf_token %}
      </form>
    <p>(You can enter any password that you like, 
       there are no restrictions.)</p>
    {% if form.errors %}
      </div>
      {% endif %}
    </div>  <!-- signup_form div -->
{% endblock %}

